import context from '../../main.js'
export default {
  getList(id) {},
  getMsg() {
    return uni.$u.http
      .get('/system/message/list', {})
      .then((res) => {
        return res;
      })
      .catch((err) => {
        context.showToast({ title: '服务器错误', icon: 'none' });
      });
  },
  read(data) {
    return uni.$u.http
      .put('/system/message', data)
      .then((res) => {
        return res;
      })
      .catch((err) => {
        context.showToast({ title: '服务器错误', icon: 'none' });
      });
  },
  getMessageCount() {
    return uni.$u.http
      .get('/app/getMessageCount', {})
      .then((res) => {
        return res;
      })
      .catch((err) => {
        context.showToast({ title: '服务器错误', icon: 'none' });
      });
  }
};
